Page MenuHomePhabricator

[Task] Remove universally bad language codes from the set of language codes available for monolingual text values
Closed, ResolvedPublic

Description

There are some language codes currently supported that we should not support at all. They have to be removed from PHP and JS ContentLanguages.

Event Timeline

adrianheine raised the priority of this task from to Normal.
adrianheine updated the task description. (Show Details)
adrianheine added a project: Wikidata.
adrianheine added a subscriber: adrianheine.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2016, 10:24 AM
  • Language codes that are not even well-formed BCP 47 language codes
    • tokipona, simple
  • Duplicate, deprecated language codes
    • roa-rup (=> rup), bat-smg (=> sgs), be-x-old (=> be-tarask), fiu-vro (=> vro), zh-min-nan (=> nan), zh-yue (=> yue), zh-classical (=> lzh)
  • Language codes we don't want for semantic reasons
    • de-formal, nl-informal

T125073 could be a follow-up.

Change 267031 had a related patch set uploaded (by Adrian Lang):
Remove bad language codes from mono languages

https://gerrit.wikimedia.org/r/267031

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:34 PM

Change 268658 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
More readable DifferenceContentLanguages parameters

https://gerrit.wikimedia.org/r/268658

Change 267031 merged by jenkins-bot:
Remove bad language codes from mono languages

https://gerrit.wikimedia.org/r/267031

Jonas closed this task as Resolved.Feb 9 2016, 10:09 AM

Change 268658 merged by jenkins-bot:
More readable DifferenceContentLanguages parameters

https://gerrit.wikimedia.org/r/268658